<!-- app/templates/auth/signup.html -->
{% import "bootstrap/wtf.html" as wtf %}

{% extends 'base.html' %}

{% from "_macros.html" import render_field, render_password_field %}

{% block content %}

						<div class="">
							<div class="subheader"></div>
						</div>
						<div class="row">
							<section id="content" class="grid12 site-content__content-section">
								<div class="body-content">
									<div class="narrow-container">
										<div class="c-spacer--xxx-large c-spacer"></div>
										<div class="c-card">{{ wtf.quick_form(form, form_type="horizontal") }}
											<form id="signup-form" autocomplete="true" action accept-charset="UTF-8" method="post">
													<div class="c-cell">
													<div class="c-cell__content">
														<div class="c-cell__body">
															<h1 class="c-text--heading c-text--parent c-text--center c-text">Sign up</h1>
														</div>
													</div>
												</div>
			
												 {{ form.hidden_tag() }}
 												 {{ wtf.form_errors(form, hiddens="only") }}

 												 {{ render_field(form.user_login, 'Username') }}
 												 {{ render_field(form.user_email, 'Email address (will not be public)') }}	

 												 {{ render_password_field(form.user_password, 'Password') }}
 												 {{ render_field(form.user_postal, 'Postal code XXX XXX (will not be public)') }}	
												
												<!--<div class="c-spacer--x-large c-spacer"></div>-->
												<fieldset class="form__fieldset">
													<div class="field field--stacked field--plain">
														<div class="field__details u-fill-width u-padding-bottom-none">
															<div class="c-spacer"></div>
															<div class="c-text--caption c-text--left c-text">By registering I confirm that I have read and accept LeapCloset Terms & Conditions and Privacy Policy. I confirm I am at least 18 years old.</div>
														</div>
													</div>
												</fieldset>
												<div class="c-cell">
													<div class="c-cell__content">
														<div class="c-cell__body">
															<button name="button" type="submit" class="c-button--filled c-button--normal c-button "><span class="c-button__content">Sign up</span></button>
														</div>
													</div>
												</div>
												<div class="c-spacer"></div>
												<div class="c-text--subtitle c-text--parent c-text--center c-text">
													<a class="c-link c-link--default" href="#">Having trouble?</a>
												</div>
												<div class="c-spacer--xx-large c-spacer"></div>
											</form>
										</div>
									</div>
								</div>
							</section>
						</div>
						<div class="ad-right">
							<!-- position: Very Right -->
							<div id="div-gpt-ad-5-3">
							</div>
						</div>
						
{% endblock %}
						